Agent Tasks
Execute Agent Task
Schedules a task for execution.
POST
/
api
/
v1
/
vendors
/
{vendorId}
/
organizations
/
{organizationId}
/
agents
/
{agentId}
/
tasks
/
{taskId}
/
execute
Execute Agent Task
curl --request POST \
--url https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/agents/{agentId}/tasks/{taskId}/executeimport requests
url = "https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/agents/{agentId}/tasks/{taskId}/execute"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/agents/{agentId}/tasks/{taskId}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"timestamp": "2025-04-17T14:23:30Z",
"message": "<string>",
"data": null,
"traceId": "<string>"
}Path Parameters
ID of the Vendor (UUID)
ID of the Organization (UUID)
ID of the Agent (UUID)
ID of the Task (UUID)
Response
Agent task scheduled for execution
Standard API response wrapper
Was this page helpful?
⌘I
Execute Agent Task
